Package org.jboss.resteasy.plugins.server.vertx

## Class VertxRegistry

- java.lang.Object
- - org.jboss.resteasy.plugins.server.vertx.VertxRegistry

- All Implemented Interfaces:
    `Registry`

      public class VertxRegistry
      extends Object
      implements Registry

  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VertxRegistry​(Registry delegate, ResourceBuilder resourceBuilder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addJndiResource​(String jndiName)` | Add a JAX-RS endpoint that exists in JNDI.
    `void` | `addJndiResource​(String jndiName, String basePath)` | Add a JAX-RS endpoint that exists in JNDI.
    `void` | `addJndiResource​(String jndiName, ResourceClass resourceClass)` |
    `void` | `addJndiResource​(String jndiName, ResourceClass resourceClass, String basePath)` |
    `void` | `addPerInstanceResource​(Class<?> clazz)` |
    `void` | `addPerInstanceResource​(Class<?> clazz, String basePath)` |
    `void` | `addPerInstanceResource​(ResourceClass resourceClass)` |
    `void` | `addPerInstanceResource​(ResourceClass resourceClass, String basePath)` |
    `void` | `addPerRequestResource​(Class<?> clazz)` | Add a JAX-RS endpoint.
    `void` | `addPerRequestResource​(Class<?> clazz, String basePath)` | Add a JAX-RS endpoint.
    `void` | `addPerRequestResource​(ResourceClass clazz)` |
    `void` | `addPerRequestResource​(ResourceClass clazz, String basePath)` |
    `void` | `addResourceFactory​(ResourceFactory ref)` | Add a custom resource implementation endpoint.
    `void` | `addResourceFactory​(ResourceFactory ref, String basePath)` | Add a custom resource implementation endpoint.
    `void` | `addResourceFactory​(ResourceFactory ref, String base, Class<?> clazz)` | ResourceFactory.getScannableClass() is not used, only the clazz parameter and not any implemented interfaces of the clazz parameter.
    `void` | `addResourceFactory​(ResourceFactory ref, String base, Class<?>[] classes)` |
    `void` | `addResourceFactory​(ResourceFactory rf, String base, ResourceClass resourceClass)` |
    `void` | `addSingletonResource​(Object singleton)` | Add a JAX-RS endpoint.
    `void` | `addSingletonResource​(Object singleton, String basePath)` | Add a JAX-RS endpoint.
    `void` | `addSingletonResource​(Object singleton, ResourceClass resourceClass)` |
    `void` | `addSingletonResource​(Object singleton, ResourceClass resourceClass, String basePath)` |
    `void` | `checkAmbiguousUri()` |
    `ResourceInvoker` | `getResourceInvoker​(HttpRequest request)` |
    `int` | `getSize()` |
    `void` | `removeRegistrations​(Class<?> clazz)` |
    `void` | `removeRegistrations​(Class<?> clazz, String base)` |
    `void` | `removeRegistrations​(ResourceClass resourceClass)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.spi.Registry

      `addPerRequestResource, addResourceFactory, addResourceFactory, addResourceFactory, addResourceFactory`

- - ### Constructor Detail

    - #### VertxRegistry

          public VertxRegistry​(Registry delegate,
                               ResourceBuilder resourceBuilder)

  - ### Method Detail

    - #### addPerInstanceResource

          public void addPerInstanceResource​(Class<?> clazz)

    - #### addPerInstanceResource

          public void addPerInstanceResource​(Class<?> clazz,
                                             String basePath)

    - #### addPerInstanceResource

          public void addPerInstanceResource​(ResourceClass resourceClass)

    - #### addPerInstanceResource

          public void addPerInstanceResource​(ResourceClass resourceClass,
                                             String basePath)

    - #### addPerRequestResource

          public void addPerRequestResource​(Class<?> clazz)

      Description copied from interface: `Registry`
      Add a JAX-RS endpoint. Objects of clazz will be created and destroy and the beginning/end of every request.
      Specified by:
        `addPerRequestResource` in interface `Registry`
      Parameters:
        `clazz` - class

    - #### addPerRequestResource

          public void addPerRequestResource​(Class<?> clazz,
                                            String basePath)

      Description copied from interface: `Registry`
      Add a JAX-RS endpoint. Objects of clazz will be created and destroy and the beginning/end of every request.
      Specified by:
        `addPerRequestResource` in interface `Registry`
      Parameters:
        `clazz` - class
        `basePath` - prefix path of resource

    - #### addSingletonResource

          public void addSingletonResource​(Object singleton)

      Description copied from interface: `Registry`
      Add a JAX-RS endpoint.
      Specified by:
        `addSingletonResource` in interface `Registry`
      Parameters:
        `singleton` - resource

    - #### addSingletonResource

          public void addSingletonResource​(Object singleton,
                                           String basePath)

      Description copied from interface: `Registry`
      Add a JAX-RS endpoint.
      Specified by:
        `addSingletonResource` in interface `Registry`
      Parameters:
        `singleton` - resource
        `basePath` - prefix path of resource

    - #### addJndiResource

          public void addJndiResource​(String jndiName)

      Description copied from interface: `Registry`
      Add a JAX-RS endpoint that exists in JNDI.
      Specified by:
        `addJndiResource` in interface `Registry`
      Parameters:
        `jndiName` - JNDI name

    - #### addJndiResource

          public void addJndiResource​(String jndiName,
                                      String basePath)

      Description copied from interface: `Registry`
      Add a JAX-RS endpoint that exists in JNDI.
      Specified by:
        `addJndiResource` in interface `Registry`
      Parameters:
        `jndiName` - JNDI name
        `basePath` - prefix path of resource

    - #### addResourceFactory

          public void addResourceFactory​(ResourceFactory ref)

      Description copied from interface: `Registry`
      Add a custom resource implementation endpoint.
      Specified by:
        `addResourceFactory` in interface `Registry`
      Parameters:
        `ref` - resource factory

    - #### addResourceFactory

          public void addResourceFactory​(ResourceFactory ref,
                                         String basePath)

      Description copied from interface: `Registry`
      Add a custom resource implementation endpoint.
      Specified by:
        `addResourceFactory` in interface `Registry`
      Parameters:
        `ref` - resource factory
        `basePath` - prefix path of resource

    - #### addResourceFactory

          public void addResourceFactory​(ResourceFactory ref,
                                         String base,
                                         Class<?> clazz)

      Description copied from interface: `Registry`
      ResourceFactory.getScannableClass() is not used, only the clazz parameter and not any implemented interfaces of the clazz parameter.
      Specified by:
        `addResourceFactory` in interface `Registry`
      Parameters:
        `ref` - resource factory
        `base` - base URI path for any resources provided by the factory, in addition to rootPath
        `clazz` - specific class

    - #### addResourceFactory

          public void addResourceFactory​(ResourceFactory ref,
                                         String base,
                                         Class<?>[] classes)

      Specified by:
        `addResourceFactory` in interface `Registry`

    - #### removeRegistrations

          public void removeRegistrations​(Class<?> clazz)

      Specified by:
        `removeRegistrations` in interface `Registry`

    - #### removeRegistrations

          public void removeRegistrations​(Class<?> clazz,
                                          String base)

      Specified by:
        `removeRegistrations` in interface `Registry`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in interface `Registry`

    - #### getResourceInvoker

          public ResourceInvoker getResourceInvoker​(HttpRequest request)

      Specified by:
        `getResourceInvoker` in interface `Registry`

    - #### addResourceFactory

          public void addResourceFactory​(ResourceFactory rf,
                                         String base,
                                         ResourceClass resourceClass)

      Specified by:
        `addResourceFactory` in interface `Registry`

    - #### removeRegistrations

          public void removeRegistrations​(ResourceClass resourceClass)

      Specified by:
        `removeRegistrations` in interface `Registry`

    - #### addPerRequestResource

          public void addPerRequestResource​(ResourceClass clazz)

      Specified by:
        `addPerRequestResource` in interface `Registry`

    - #### addPerRequestResource

          public void addPerRequestResource​(ResourceClass clazz,
                                            String basePath)

      Specified by:
        `addPerRequestResource` in interface `Registry`

    - #### addSingletonResource

          public void addSingletonResource​(Object singleton,
                                           ResourceClass resourceClass)

      Specified by:
        `addSingletonResource` in interface `Registry`

    - #### addSingletonResource

          public void addSingletonResource​(Object singleton,
                                           ResourceClass resourceClass,
                                           String basePath)

      Specified by:
        `addSingletonResource` in interface `Registry`

    - #### addJndiResource

          public void addJndiResource​(String jndiName,
                                      ResourceClass resourceClass)

      Specified by:
        `addJndiResource` in interface `Registry`

    - #### addJndiResource

          public void addJndiResource​(String jndiName,
                                      ResourceClass resourceClass,
                                      String basePath)

      Specified by:
        `addJndiResource` in interface `Registry`

    - #### checkAmbiguousUri

          public void checkAmbiguousUri()

      Specified by:
        `checkAmbiguousUri` in interface `Registry`